import * as React from "react";
import { StylingPropsTypes } from "./SwitchSelector.styled";
export declare type OptionType = {
    label: string;
    value: unknown;
    selectedBackgroundColor?: string;
    fontColor?: string;
    selectedFontColor?: string;
};
export interface Props extends Partial<StylingPropsTypes> {
    onChange: (x?: unknown) => unknown | void;
    options: Array<OptionType>;
    initialSelectedIndex?: number;
    forcedSelectedIndex?: number;
}
declare const SwitchSelector: React.FC<Props>;
export default SwitchSelector;
